CommandLinkTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.taglib
Class CommandLinkTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.struts.faces.taglib.AbstractFacesTag
              org.apache.struts.faces.taglib.CommandLinkTag

All Implemented Interfaces:
  Tag

    public class CommandLinkTag

extends AbstractFacesTag

Render a `CommandLinkComponent` inside a Struts-Faces `FormComponent`.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary

Fields inherited from class org.apache.struts.faces.taglib.AbstractFacesTag
`bundle, value`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CommandLinkTag()`

Method Summary
`String` | `getComponentType()` Return the type of component to be created for this tag.
`String` | `getRendererType()` Return the `rendererType` to be used for rendering our component.
`void` | `release()` Release any allocated resources.
`void` | `setAccesskey(String accesskey)`
`void` | `setAction(String action)`
`void` | `setactionListener(String actionListener)`
`void` | `setCharset(String charset)`
`void` | `setDir(String dir)`
`void` | `setHreflang(String hreflang)`
`void` | `setImmediate(String immediate)`
`void` | `setLang(String lang)`
`void` | `setOnblur(String onblur)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)` Override attributes set on this tag instance.
`void` | `setRel(String rel)`
`void` | `setRev(String rev)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTarget(String target)`
`void` | `setTitle(String title)`
`void` | `setType(String type)`

Methods inherited from class org.apache.struts.faces.taglib.AbstractFacesTag
`setBooleanAttribute, setBundle, setIntegerAttribute, setStringAttribute, setValue`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getPathToComponent, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLinkTag

    public CommandLinkTag()

Method Detail

### setAccesskey

    public void setAccesskey(String accesskey)

### setAction

    public void setAction(String action)

### setactionListener

    public void setactionListener(String actionListener)

### setCharset

    public void setCharset(String charset)

### setDir

    public void setDir(String dir)

### setHreflang

    public void setHreflang(String hreflang)

### setImmediate

    public void setImmediate(String immediate)

### setLang

    public void setLang(String lang)

### setOnblur

    public void setOnblur(String onblur)

### setOnclick

    public void setOnclick(String onclick)

### setOndblclick

    public void setOndblclick(String ondblclick)

### setOnfocus

    public void setOnfocus(String onfocus)

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### setRel

    public void setRel(String rel)

### setRev

    public void setRev(String rev)

### setStyle

    public void setStyle(String style)

  Overrides:
    `setStyle` in class `AbstractFacesTag`

### setStyleClass

    public void setStyleClass(String styleClass)

  Overrides:
    `setStyleClass` in class `AbstractFacesTag`

### setTabindex

    public void setTabindex(String tabindex)

### setTarget

    public void setTarget(String target)

### setTitle

    public void setTitle(String title)

### setType

    public void setType(String type)

### release

    public void release()

  Release any allocated resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `AbstractFacesTag`

### getComponentType

    public String getComponentType()

  Return the type of component to be created for this tag.

  Specified by:
    `getComponentType` in class `AbstractFacesTag`

### getRendererType

    public String getRendererType()

  Return the `rendererType` to be used for rendering our component.

  Specified by:
    `getRendererType` in class `AbstractFacesTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Override attributes set on this tag instance.

  Overrides:
    `setProperties` in class `AbstractFacesTag`
  Parameters:
    `component` - Component whose attributes should be overridden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.